#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD8,0xDF,0x5B,0x54,0x4A,0x02,0x17,0x99,0xAB,0x1D,0x41,0xEB,
		0xA0,0x16,0xE9,0x03,0x53,0x45,0x20,0xF1,0x05,0xEE,0xDB,0x7F,
		0xEB,0x71,0x40,0x4F,0x6D,0x89,0x91,0xCA,0xA3,0xFA,0xD2,0x07,
		0x64,0x5E,0x52,0x07,0x7F,0xC4,0xE6,0x47,0x70,0x66,0x56,0x11,
		0xA2,0xF5,0x6E,0x20,0x57,0x44,0xDB,0x7A,0x76,0x7D,0x37,0xBF,
		0xA3,0xC4,0xDE,0xE3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
